# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`pi::cmdline`](#pi--cmdline): Manages /boot/cmdline.txt parameters.
* [`pi::config`](#pi--config): Manages `/boot/config.txt`

### Defined types

* [`pi::cmdline::parameter`](#pi--cmdline--parameter): Manage a single /boot/cmdline.txt kernel parameter
* [`pi::config::fragment`](#pi--config--fragment): Create a /boot/config.txt fragment

## Classes

### <a name="pi--cmdline"></a>`pi::cmdline`

Manages /boot/cmdline.txt parameters.

#### Parameters

The following parameters are available in the `pi::cmdline` class:

* [`parameters`](#-pi--cmdline--parameters)
* [`reboot`](#-pi--cmdline--reboot)

##### <a name="-pi--cmdline--parameters"></a>`parameters`

Data type: `Hash[String[1], Hash]`

A hash of pi::cmdline::parameter resources to create.

Default value: `{}`

##### <a name="-pi--cmdline--reboot"></a>`reboot`

Data type: `Boolean`

Whether or not to force a reboot when `/boot/cmdline.txt` parameters change.

Default value: `true`

### <a name="pi--config"></a>`pi::config`

Manages `/boot/config.txt`

#### Parameters

The following parameters are available in the `pi::config` class:

* [`fragments`](#-pi--config--fragments)
* [`reboot`](#-pi--config--reboot)

##### <a name="-pi--config--fragments"></a>`fragments`

Data type: `Hash[String[1], Hash]`

A hash of pi::config::fragments to be concatenated into
`/boot/config.txt`.

Default value: `{}`

##### <a name="-pi--config--reboot"></a>`reboot`

Data type: `Boolean`

Whether or not to force a reboot when `/boot/config.txt` changes.

Default value: `true`

## Defined types

### <a name="pi--cmdline--parameter"></a>`pi::cmdline::parameter`

Manage a single /boot/cmdline.txt kernel parameter

#### Parameters

The following parameters are available in the `pi::cmdline::parameter` defined type:

* [`parameter`](#-pi--cmdline--parameter--parameter)

##### <a name="-pi--cmdline--parameter--parameter"></a>`parameter`

Data type: `Optional[String[1]]`

The kernel parameter to manage. E.g. 8250.nr_uarts=1

Note that the management of parameters is not very intelligent.
8250.nr_uarts=1 and 8250.nr_uarts=2 would be treated as two different
parameters.

Default value: `undef`

### <a name="pi--config--fragment"></a>`pi::config::fragment`

Create a /boot/config.txt fragment

#### Parameters

The following parameters are available in the `pi::config::fragment` defined type:

* [`content`](#-pi--config--fragment--content)
* [`order`](#-pi--config--fragment--order)

##### <a name="-pi--config--fragment--content"></a>`content`

Data type: `Optional[String[1]]`

/boot/config.txt configuration fragment

Default value: `undef`

##### <a name="-pi--config--fragment--order"></a>`order`

Data type: `Integer[1]`

Order of the fragment within /boot/config.txt

Default value: `50`

